//########################
//InDesignCS4以上で
//選択された表の経線の種類をセットします。
//たけうちとおる
//########################

//下記を設定で線の種類を設定できます。コメントを外してお使いください
//var newStrokeStyle = "点線";
//var newStrokeStyle = "ベタ";
//var newStrokeStyle = "太い - 太い";
//var newStrokeStyle = "太い - 細い";
//var newStrokeStyle = "太い - 細い - 太い";
//var newStrokeStyle = "細い - 太い";
//var newStrokeStyle = "細い - 太い - 細い";
//var newStrokeStyle = "二重線";
//var newStrokeStyle = "三重線";
//var newStrokeStyle = "点線 (3 & 2)";
//var newStrokeStyle = "点線 (4 & 4)";
//var newStrokeStyle = "左斜線ハッシュ";
//var newStrokeStyle = "右斜線ハッシュ";
//var newStrokeStyle = "直線ハッシュ";
//var newStrokeStyle = "点";
//var newStrokeStyle = "波状";
//var newStrokeStyle = "ホワイトダイヤモンド";
var newStrokeStyle = "句点";

//ダイアログ表示のおまじない
app.scriptPreferences.userInteractionLevel=1699311169;

main();

function main(){
	if (app.documents.length == 0){
		alert("ドキュメントを開いてください");
		return;
	}
	if (app.selection.length == 0){
		alert("セルを選択してください");
		return;
	}
	myDocu = app.activeDocument;
	mySele = myDocu.selection;
    
	for(var s = 0; s<mySele.length; s++){
        seltype = mySele[s].constructor.name;
        if(seltype == "Cell"){
            mySele[s].rightEdgeStrokeType = newStrokeStyle;
            mySele[s].leftEdgeStrokeType = newStrokeStyle;
        }else if(seltype == "Table"){
            mySele[s].cells.itemByRange(0,-1).rightEdgeStrokeType = newStrokeStyle;
            mySele[s].cells.itemByRange(0,-1).leftEdgeStrokeType = newStrokeStyle;
        }
        //rightEdgeStrokeType
        //leftEdgeStrokeType
        //topEdgeStrokeType
        //bottomEdgeStrokeType
	}
}